Update a business beneficiary
curl --request PUT \
--url https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 2,
"input": {
"roles": [],
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": true,
"politicallyExposedPerson": true,
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"birthDate": "<string>",
"taxId": "<string>",
"identificationNumber": "<string>"
}
}
'import requests
url = "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}"
payload = {
"version": 2,
"input": {
"roles": [],
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": True,
"politicallyExposedPerson": True,
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"birthDate": "<string>",
"taxId": "<string>",
"identificationNumber": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 2,
input: {
roles: [],
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
fullNameAsOnDocument: '<string>',
nationality: '<string>',
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>'
},
email: '<string>',
phone: '<string>',
title: '<string>',
ownershipPercentage: '<string>',
hasControl: true,
politicallyExposedPerson: true,
issuingAuthority: '<string>',
issuingCountry: '<string>',
issuingState: '<string>',
issuedDate: '<string>',
expirationDate: '<string>',
verifiedDate: '<string>',
birthDate: '<string>',
taxId: '<string>',
identificationNumber: '<string>'
}
})
};
fetch('https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'version' => 2,
'input' => [
'roles' => [
],
'firstName' => '<string>',
'middleName' => '<string>',
'lastName' => '<string>',
'fullNameAsOnDocument' => '<string>',
'nationality' => '<string>',
'address' => [
'line1' => '<string>',
'line2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'country' => '<string>'
],
'email' => '<string>',
'phone' => '<string>',
'title' => '<string>',
'ownershipPercentage' => '<string>',
'hasControl' => true,
'politicallyExposedPerson' => true,
'issuingAuthority' => '<string>',
'issuingCountry' => '<string>',
'issuingState' => '<string>',
'issuedDate' => '<string>',
'expirationDate' => '<string>',
'verifiedDate' => '<string>',
'birthDate' => '<string>',
'taxId' => '<string>',
'identificationNumber' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}"
payload := strings.NewReader("{\n \"version\": 2,\n \"input\": {\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": 2,\n \"input\": {\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 2,\n \"input\": {\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "businessBeneficiary",
"customerId": "<string>",
"roles": [
"beneficialOwner"
],
"version": 2,
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": true,
"politicallyExposedPerson": true,
"taxIdType": "ein",
"identificationType": "driversLicense",
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"hasBirthDate": true,
"hasTaxId": true,
"hasIdentificationNumber": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}Business onboarding
Update a business beneficiary
Replaces the beneficiary’s details. version must be the beneficiary’s current version; a stale version returns 409.
PUT
/
customers
/
{customerId}
/
beneficiaries
/
{beneficiaryId}
Update a business beneficiary
curl --request PUT \
--url https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 2,
"input": {
"roles": [],
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": true,
"politicallyExposedPerson": true,
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"birthDate": "<string>",
"taxId": "<string>",
"identificationNumber": "<string>"
}
}
'import requests
url = "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}"
payload = {
"version": 2,
"input": {
"roles": [],
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": True,
"politicallyExposedPerson": True,
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"birthDate": "<string>",
"taxId": "<string>",
"identificationNumber": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 2,
input: {
roles: [],
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
fullNameAsOnDocument: '<string>',
nationality: '<string>',
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>'
},
email: '<string>',
phone: '<string>',
title: '<string>',
ownershipPercentage: '<string>',
hasControl: true,
politicallyExposedPerson: true,
issuingAuthority: '<string>',
issuingCountry: '<string>',
issuingState: '<string>',
issuedDate: '<string>',
expirationDate: '<string>',
verifiedDate: '<string>',
birthDate: '<string>',
taxId: '<string>',
identificationNumber: '<string>'
}
})
};
fetch('https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'version' => 2,
'input' => [
'roles' => [
],
'firstName' => '<string>',
'middleName' => '<string>',
'lastName' => '<string>',
'fullNameAsOnDocument' => '<string>',
'nationality' => '<string>',
'address' => [
'line1' => '<string>',
'line2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'country' => '<string>'
],
'email' => '<string>',
'phone' => '<string>',
'title' => '<string>',
'ownershipPercentage' => '<string>',
'hasControl' => true,
'politicallyExposedPerson' => true,
'issuingAuthority' => '<string>',
'issuingCountry' => '<string>',
'issuingState' => '<string>',
'issuedDate' => '<string>',
'expirationDate' => '<string>',
'verifiedDate' => '<string>',
'birthDate' => '<string>',
'taxId' => '<string>',
'identificationNumber' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}"
payload := strings.NewReader("{\n \"version\": 2,\n \"input\": {\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": 2,\n \"input\": {\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries/{beneficiaryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 2,\n \"input\": {\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "businessBeneficiary",
"customerId": "<string>",
"roles": [
"beneficialOwner"
],
"version": 2,
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": true,
"politicallyExposedPerson": true,
"taxIdType": "ein",
"identificationType": "driversLicense",
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"hasBirthDate": true,
"hasTaxId": true,
"hasIdentificationNumber": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}Authorizations
Token from POST /auth/token
Body
application/json
Required range:
x >= 1Full replacement of non-sensitive beneficiary facts. Omitted non-sensitive values are cleared. Sensitive identifiers are write-only; omission preserves their values and an empty string clears them. Enum values use camelCase.
Hide child attributes
Hide child attributes
Available options:
beneficialOwner, controller, director, signatory, representative Available options:
ein, vat, foreign, ssn, itin, foreignTin Available options:
driversLicense, passport, idCard, socialSecurityCard, other Response
Success
Available options:
businessBeneficiary Available options:
beneficialOwner, controller, director, signatory, representative Required range:
x >= 1Available options:
ein, vat, foreign, ssn, itin, foreignTin Available options:
driversLicense, passport, idCard, socialSecurityCard, other Was this page helpful?